Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1489587 - dmraid: Add deprecation warning
Summary: dmraid: Add deprecation warning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dmraid
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marian Csontos
QA Contact: Zhang Yi
Apurva Bhide
URL:
Whiteboard:
Depends On:
Blocks: 1515361
TreeView+ depends on / blocked
 
Reported: 2017-09-07 20:05 UTC by Jonathan Earl Brassow
Modified: 2018-11-08 16:16 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
_dmraid_ has been deprecated Since Red Hat Enterprise Linux 7.5, the _dmraid_ packages have been deprecated. It will stay available in Red Hat Enterprise Linux 7 releases but a future major release will no longer support legacy hybrid combined hardware and software RAID host bus adapter (HBA).
Clone Of:
: 1515361 (view as bug list)
Environment:
Last Closed: 2018-11-08 16:16:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jonathan Earl Brassow 2017-09-07 20:05:16 UTC
There will be no dmraid package beyond RHEL7.  Therefore, we must:
1) Add a warning for those in 7.5+ that RHEL7 will be the last release supporting this package - likely best to be printed when started up.

2) Add sufficient documentation (release notes?) to inform users that future major releases will no longer support legacy hybrid (HW + SW) RAID HBAs - aka "fake RAID".

Comment 1 Marian Csontos 2017-09-08 07:00:23 UTC
+ Move package to epel.

Comment 2 Marek Suchanek 2017-10-10 17:48:08 UTC
Hello all,

I'm the maintainer of the Storage Administration Guide, which is a good place to warn users about the dmraid deprecation, in my opinion. It should be included in the release notes, too.

dmraid is mentioned a few times in StAG, mostly here:
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/storage_administration_guide/index#raid-subsys

I can add a note there.

I'm setting myself as the Docs Contact. If you need anything documentation-related here, you can ask me.

Comment 5 Marian Csontos 2018-02-27 12:54:16 UTC
Doc text looks fine.


Note You need to log in before you can comment on or make changes to this bug.